summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-02 23:12:56 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-02 23:12:56 +0000
commitd9b68d6748ac9b0debe3efceb600ae9302bafd56 (patch)
tree21eeb8f6500211a562d1e45059bf94d0e459ff61 /dev-python
parentbb6d117ac7a3798c98bca5b98c538b3770a49542 (diff)
downloadbaldeagleos-repo-d9b68d6748ac9b0debe3efceb600ae9302bafd56.tar.gz
baldeagleos-repo-d9b68d6748ac9b0debe3efceb600ae9302bafd56.tar.xz
baldeagleos-repo-d9b68d6748ac9b0debe3efceb600ae9302bafd56.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/cryptography/cryptography-3.2.1.ebuild4
-rw-r--r--dev-python/gast/gast-0.3.3-r1.ebuild2
-rw-r--r--dev-python/gast/gast-0.3.3.ebuild18
-rw-r--r--dev-python/sshtunnel/sshtunnel-0.1.5.ebuild2
4 files changed, 5 insertions, 21 deletions
diff --git a/dev-python/cryptography/cryptography-3.2.1.ebuild b/dev-python/cryptography/cryptography-3.2.1.ebuild
index 489572eea369..6e9e4330b8a2 100644
--- a/dev-python/cryptography/cryptography-3.2.1.ebuild
+++ b/dev-python/cryptography/cryptography-3.2.1.ebuild
@@ -50,13 +50,13 @@ src_prepare() {
default
# work around availability macros not supported in GCC (yet)
- if [[ ${CHOST} == *-darwin ]] ; then
+ if [[ ${CHOST} == *-darwin* ]] ; then
local darwinok=0
if [[ ${CHOST##*-darwin} -ge 16 ]] ; then
darwinok=1
fi
sed -i -e 's/__builtin_available(macOS 10\.12, \*)/'"${darwinok}"'/' \
- src/_cffi_src/openssl/src/osrandom_engine.c
+ src/_cffi_src/openssl/src/osrandom_engine.c || die
fi
}
diff --git a/dev-python/gast/gast-0.3.3-r1.ebuild b/dev-python/gast/gast-0.3.3-r1.ebuild
index 9bc224543469..d1348ba3c2ea 100644
--- a/dev-python/gast/gast-0.3.3-r1.ebuild
+++ b/dev-python/gast/gast-0.3.3-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
IUSE=""
BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
diff --git a/dev-python/gast/gast-0.3.3.ebuild b/dev-python/gast/gast-0.3.3.ebuild
deleted file mode 100644
index b97a63a43635..000000000000
--- a/dev-python/gast/gast-0.3.3.ebuild
+++ /dev/null
@@ -1,18 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
-inherit distutils-r1
-
-DESCRIPTION="A generic AST to represent Python2 and Python3's Abstract Syntax Tree (AST)"
-HOMEPAGE="https://pypi.org/project/gast/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 x86"
-IUSE=""
-
-BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
diff --git a/dev-python/sshtunnel/sshtunnel-0.1.5.ebuild b/dev-python/sshtunnel/sshtunnel-0.1.5.ebuild
index 8230ef4611b9..790aaa1a867f 100644
--- a/dev-python/sshtunnel/sshtunnel-0.1.5.ebuild
+++ b/dev-python/sshtunnel/sshtunnel-0.1.5.ebuild
@@ -23,4 +23,6 @@ DEPEND="${RDEPEND}
test? ( dev-python/tox[${PYTHON_USEDEP}] )
"
+RESTRICT="test"
+
distutils_enable_tests setup.py